<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.clients.web.Base"
	import="net.sf.basedb.clients.web.util.HTML"
	import="net.sf.basedb.util.Values"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, true);
final String ID = sc.getId();
try
{
	String indexId = Values.getString(request.getParameter("indexId"), "filtered");
	String visibleColumns = Values.getString(sc.getUserClientSetting("net.sf.basedb.varsearch.visible-columns."+indexId), 
		"GENE,POS,REF_ALT,TYPE,HGVSC,HGVSP,LINKS");
	boolean isOncoArray = "oncoarray-500K".equals(indexId);
%>
<base:page type="popup" title="Variant search options">
<base:head 
	scripts="~options.js"
	>
	<style>
	#columns
	{}
	#columns tr
	{
		border-bottom-width: 1px;
		border-bottom-style: dotted;
	}
	#columns td, #columns th
	{
		padding: 1px 1em 1px 1px;
		text-align: left;
	}
	</style>
</base:head>
<base:body>
	<h1>Select columns</h1>

	<form name="options" id="options" method="post" action="submit_options.jsp">
	<input type="hidden" name="ID" value="<%=ID%>">
	<input type="hidden" name="cmd" value="SaveOptions">
	<input type="hidden" name="indexId" value="<%=HTML.encodeTags(indexId)%>">
	<input type="hidden" name="visibleColumns" value="<%=HTML.encodeTags(visibleColumns)%>">
	<div class="content bottomborder">
	
		<table style="margin: auto; margin-top: 0.5em;">
		<tr style="vertical-align: top;">
			<td style="width: 1em; vertical-align: middle; font-size: 125%;">
				<span style="cursor: pointer;" id="moveUp" title="Move up" data-down="0">▲</span><br>
				<span style="cursor: pointer;" id="moveDown" title="Move down" data-down="1">▼</span><br><br>
			</td>
			<td style="width: 16em;">
				<b>Sort order</b><br>
				<select name="sortOrder" id="sortOrder" multiple style="width: 15em;" size="16">
				</select>
			</td>
			<td>
				<table id="columns">
				<tr>
					<th>All columns</th>
					<th>Query prefix</th>
				</tr>
				<tr>
					<td><label><input type="checkbox" name="GENE" id="GENE">Gene</label></td>
					<td>gene:</td>
				</tr>
				<tr>
					<td><label><input type="checkbox" name="POS" id="POS">Position</label></td>
					<td>chrom: pos:</td>
				</tr>
				<tr>
					<td><label><input type="checkbox" name="REF_ALT" id="REF_ALT">Ref › Alt</label></td>
					<td>ref: alt:</td>
				</tr>
				<tr>
					<td><label><input type="checkbox" name="TYPE" id="TYPE">Type</label></td>
					<td>type:</td>
				</tr>
				<tr>
					<td><label><input type="checkbox" name="EFFECT" id="EFFECT">Effect</label></td>
					<td>effect:</td>
				</tr>
				<tr>
					<td><label><input type="checkbox" name="HGVSC" id="HGVSC">HGVS.c</label></td>
					<td>c:</td>
				</tr>
				<tr>
					<td><label><input type="checkbox" name="HGVSP" id="HGVSP">HGVS.p</label></td>
					<td>p:</td>
				</tr>
				<tr>
					<td><label><input type="checkbox" name="GT" id="GT">Genotype</label></td>
					<td>gt:</td>
				</tr>
				<%
				if (!isOncoArray)
				{
					%>
					<tr>
						<td><label><input type="checkbox" name="DP" id="DP">Depth</label></td>
						<td>dp:</td>
					</tr>
					<tr>
						<td><label><input type="checkbox" name="VD" id="VD">Variant depth</label></td>
						<td>vd:</td>
					</tr>
					<tr>
						<td><label><input type="checkbox" name="AF" id="AF">Allele frequency</label></td>
						<td>af:</td>
					</tr>
					<%
					}
				%>
				<tr>
					<td><label><input type="checkbox" name="LINKS" id="LINKS">Links</label></td>
					<td>cosmic: rsid:</td>
				</tr>
				</table>
			</td>
		</tr>
		<tr class="dynamic">
			<td></td>
			<td colspan="2" style="padding-top: 0.5em;">
				<i>
				Max query time is 30 seconds. Add <code>#NN</code> to the end of the query to force a<br>
				different timeout. For example: <code>chr1 #60</code>
				<br>
				See the <a href="https://baseplugins.thep.lu.se/wiki/net.sf.basedb.varsearch/using"
				target="_blank">Variant search help page</a> for more information.
				</i>
			</td>
		</tr>
		</table>
	
	</div>
	</form>
	
	<base:buttongroup subclass="dialogbuttons" id="dialogbuttons">
		<base:button id="btnOk" title="Ok" />
		<base:button id="close" title="Cancel" />
	</base:buttongroup>
</base:body>
</base:page>
<%
}
finally
{}
%>